Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 152962 - CAN-2005-1194 Buffer overflow in the ieee_putascii() function
Summary: CAN-2005-1194 Buffer overflow in the ieee_putascii() function
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: nasm
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Richard Henderson
QA Contact: Brian Brock
URL:
Whiteboard: impact=low,public=20050331,source=red...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-31 14:18 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-04 15:01:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:381 normal SHIPPED_LIVE Low: nasm security update 2005-05-04 04:00:00 UTC

Description Josh Bressers 2005-03-31 14:18:18 UTC
There is a very obvious buffer overflow in ieee_putascii()

(code truncated)

static void ieee_putascii(char *format, ...)
    char buffer[256];
    vsprintf(buffer, format, ap);

At the very least it should be using a vsnprintf.

Comment 1 Josh Bressers 2005-03-31 14:18:44 UTC
This issue should also affect RHEL2.1 and RHEL3

Comment 2 Jindrich Novy 2005-04-15 13:02:49 UTC
Affects RHEL2.1, RHEL3, RHEL4. The fix is now applied for all the RHELs.

Comment 3 Josh Bressers 2005-05-04 15:01:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-381.html



Note You need to log in before you can comment on or make changes to this bug.